HPE 9000 and HPE e3000 Servers
cancel
Showing results for 
Search instead for 
Did you mean: 

Problems building DBD::mysql modules for Perl on HP-UX 11.11

 
Sudheer Maremanda
Occasional Contributor

Problems building DBD::mysql modules for Perl on HP-UX 11.11


Hello,

I am trying to install the DBD::mysql Perl module using CPAN on HP-UX 11.11 and I receive the following build error ..

/usr/bin/ld: /opt/mysql/lib/libmysqlclient.a: Not a valid library (invalid magic number). Possibly a 64-bit PA archive library (Mismatched ABI).

I have attached a file with the Perl CPAN command output and other server specific details. Please let me know if you need any further information.

Any help is greatly apprecited!

thank you,
-Sudheer
4 REPLIES 4
Peter Godron
Honored Contributor

Re: Problems building DBD::mysql modules for Perl on HP-UX 11.11

Sudheer,
all previous threads point to a problem with 32/64bit libraries.
Can you check:
1. file /opt/mysql/lib/libmysqlclient.a
2. Does gcc compile at 64 bit (couldn't see anything on the comamnd line)
3. Have you got the correct download 11.11 != 11.23
Regards
Sudheer Maremanda
Occasional Contributor

Re: Problems building DBD::mysql modules for Perl on HP-UX 11.11

Peter,
Thank you for your response.
1. I am positive that the libmysqlclient.a file is 64 bit - as I downloaded the 64 bit version of mysql from mysql.com.
2. How do I make sure that gcc compiles 64 bit? - with the -m64 option?
3. I am trying to download the Perl modules from CPAN - how do I make sure that they are 64 bit compatible?
Thanks again,
-Sudheer
Peter Godron
Honored Contributor

Re: Problems building DBD::mysql modules for Perl on HP-UX 11.11

Sudheer,
all I can suggest is that you try to work the fault from the log.
mysql.sl can not be chmoded (prob. does not exist), but double check and reset permissions.
Doing a "file" command should show you whether its 32 or 64 bit.
Also check the 32/64 issue in the /usr/local/lib directory.
Regards
Peter Godron
Honored Contributor

Re: Problems building DBD::mysql modules for Perl on HP-UX 11.11

Sudheer,
if this is still a problem, can I suggest you widen the audience by closing this thread and post it in UNIX/Sytem Admin.

There are quite a few Perl/UNIX experts, who may have more background in building the module than me.

Sorry my answers didn't help.
Regards